Bug 1960609 - python-pytest-cov-2.12.1 is available
Summary: python-pytest-cov-2.12.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pytest-cov
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: chedi toueiti
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1968972 1983796
TreeView+ depends on / blocked
 
Reported: 2021-05-14 11:34 UTC by Upstream Release Monitoring
Modified: 2021-09-10 07:18 UTC (History)
6 users (show)

Fixed In Version: python-pytest-cov-2.12.1-1.fc35 python-pytest-cov-2.12.1-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-03 05:34:13 UTC
Type: ---
Embargoed:
chedi.toueiti: needinfo+


Attachments (Terms of Use)
[patch] Update to 2.12.1 (#1960609) (1.01 KB, patch)
2021-06-01 17:25 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2021-05-14 11:34:22 UTC
Latest upstream release: 2.12.0
Current version/release in rawhide: 2.11.1-3.fc34
URL: https://github.com/schlamar/pytest-cov

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/6509/

Comment 1 Upstream Release Monitoring 2021-05-14 11:34:28 UTC
An unexpected error occurred while creating the scratch build and has been automatically reported. Sorry!

Comment 2 Upstream Release Monitoring 2021-06-01 17:25:32 UTC
Latest upstream release: 2.12.1
Current version/release in rawhide: 2.11.1-3.fc34
URL: https://github.com/schlamar/pytest-cov

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/6509/

Comment 3 Upstream Release Monitoring 2021-06-01 17:25:35 UTC
Created attachment 1788549 [details]
[patch] Update to 2.12.1 (#1960609)

Comment 4 Upstream Release Monitoring 2021-06-01 17:28:39 UTC
the-new-hotness/release-monitoring.org's scratch build of python-pytest-cov-2.12.1-1.fc32.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=69101787

Comment 6 Ben Beasley 2021-07-27 20:43:01 UTC
I have worked around this in FastAPI, but an update would still be very welcome—with or without merging my PR! Any plans to build the latest version? Thanks!

Comment 7 chedi toueiti 2021-07-28 09:20:52 UTC
@Ben

Sorry I couldn't take a look at this earlier, can you please rebase your PR to the latest changes. 
I'll gladly rebuild it afterward.

Comment 8 Ben Beasley 2021-07-28 21:03:25 UTC
Thanks! I’ve rebased the PR.

Comment 9 Fedora Update System 2021-08-03 05:31:00 UTC
FEDORA-2021-f421db806c has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f421db806c

Comment 10 Fedora Update System 2021-08-03 05:34:13 UTC
FEDORA-2021-f421db806c has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-08-03 05:50:58 UTC
FEDORA-2021-d893938b10 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d893938b10

Comment 12 Fedora Update System 2021-08-04 03:42:33 UTC
FEDORA-2021-d893938b10 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d893938b10`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d893938b10

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-08-12 01:05:39 UTC
FEDORA-2021-d893938b10 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.